Skip to main content
POST
/
api
/
v0
/
sessions
/
{sessionId}
/
git-ai
/
notes
Push git-ai notes
curl --request POST \
  --url https://api.factory.ai/api/v0/sessions/{sessionId}/git-ai/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commitSha": "<string>",
  "repoUrl": "<string>",
  "repoName": "<string>",
  "branch": "<string>",
  "isDefaultBranch": true,
  "noteContent": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

sessionId
string
required

Session ID

Body

application/json
commitSha
string
required
repoUrl
string
required
repoName
string
required
branch
string
required
isDefaultBranch
boolean
required
noteContent
string
required

Response

Response for status 200

success
boolean
required